Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.service
Class MessageInfo

    java.lang.Object
      org.codehaus.xfire.service.MessagePartContainer
          org.codehaus.xfire.service.MessageInfo

All Implemented Interfaces:
  Visitable

    public class MessageInfo

extends MessagePartContainer
implements Visitable

Represents the description of a service operation message.

Messages are created using the `OperationInfo.createMessage(javax.xml.namespace.QName)` method.

Author:
  Arjen Poutsma

Method Summary
`void` | `accept(Visitor visitor)` Acceps the given visitor.
`javax.xml.namespace.QName` | `getName()` Returns the qualified name of the message info.
`void` | `setName(javax.xml.namespace.QName name)` Sets the qualified name of the message info.

Methods inherited from class org.codehaus.xfire.service.MessagePartContainer
`addMessageHeader, addMessageHeader, addMessagePart, addMessagePart, getMessageHeader, getMessageHeaders, getMessagePart, getMessagePartIndex, getMessageParts, getOperation, removeMessageHeader, removeMessagePart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getName

    public javax.xml.namespace.QName getName()

  Returns the qualified name of the message info.

  Returns:
    the name.

### setName

    public void setName(javax.xml.namespace.QName name)

  Sets the qualified name of the message info.

  Parameters:
    `name` - the qualified name.

### accept

    public void accept(Visitor visitor)

  Acceps the given visitor. Iterates over all message part infos.

  Specified by:
    `accept` in interface `Visitable`
  Parameters:
    `visitor` - the visitor.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.